Переполнение буфера в AIMP

Дата публикации:
02.06.2009
Всего просмотров:
3455
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
AIMP 2.x
Уязвимые версии: AIMP 2.51 build 330, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке MP3 файлов. Удаленный пользователь может с помощью специально сформированного MP3 файла, содержащего слишком длинный ID3 тег, вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.aimp.ru/index.php?newlang=english

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: AIMP 2.51 build 330 (ID3v1/ID3v2 Tag) Remote Stack BOF PoC (SEH)
http://zeroscience.org/codes/aimp2_poc.txt

или введите имя

CAPTCHA